cojenco
Repos
87
Followers
1

Code samples used on cloud.google.com

5952
5692

Events

pull request opened
tests: update snippets tests

Update snippets test for changes in https://github.com/googleapis/python-api-core/pull/468

Created at 6 hours ago
create branch
cojenco create branch snippet-test
Created at 6 hours ago
pull request opened
feat: add use_auth_w_custom_endpoint support

This adds a boolean flag use_auth_w_custom_endpoint - whether authentication is required with custom endpoints

  • only used when a custom endpoint in set in conjunction
  • defaults to True and uses authentication
  • if set to False, bypasses authentication

For backwards compatibility

  • by default, auth is bypassed when STORAGE_EMULATOR_HOST is set
  • add bool _is_emulator_set to improve readability

Refactored to ensure preprod testing is not adversely impacted

  • updated docstring to note internal testing used environment variables

Fixes #895 and internal b/258502260

Created at 1 day ago

improve readability w bool _is_emulator_set

update tests

Created at 1 day ago
create branch
cojenco create branch useauth
Created at 1 day ago
tests.system.test_notification: test_notification_create_w_user_project failed

This test failed!

To configure my behavior, see the Flaky Bot documentation.

If I'm commenting on this issue too often, add the flakybot: quiet label and I will stop commenting.


commit: 4862a9c34fcd9524f31312227a2ccf5e376f39fa buildURL: Build Status, Sponge status: failed

@functools.wraps(callable_)
def error_remapped_callable(*args, **kwargs):
    try:
      return callable_(*args, **kwargs)

.nox/system-3-8/lib/python3.8/site-packages/google/api_core/grpc_helpers.py:72:


self = <grpc._channel._UnaryUnaryMultiCallable object at 0x7f8fd603cfd0> request = name: "projects/None/topics/notification-1669697704190"

timeout = 60.0 metadata = [('x-goog-request-params', 'name=projects/None/topics/notification-1669697704190'), ('x-goog-api-client', 'gl-python/3.8.13 grpc/1.51.0rc1 gax/2.10.2 gapic/1.7.2')] credentials = None, wait_for_ready = None, compression = None

def __call__(self,
             request,
             timeout=None,
             metadata=None,
             credentials=None,
             wait_for_ready=None,
             compression=None):
    state, call, = self._blocking(request, timeout, metadata, credentials,
                                  wait_for_ready, compression)
  return _end_unary_response_blocking(state, call, False, None)

.nox/system-3-8/lib/python3.8/site-packages/grpc/_channel.py:946:


state = <grpc._channel._RPCState object at 0x7f8fd5bd5e20> call = <grpc._cython.cygrpc.SegregatedCall object at 0x7f8fd4055e00> with_call = False, deadline = None

def _end_unary_response_blocking(state, call, with_call, deadline):
    if state.code is grpc.StatusCode.OK:
        if with_call:
            rendezvous = _MultiThreadedRendezvous(state, call, None, deadline)
            return state.response, rendezvous
        else:
            return state.response
    else:
      raise _InactiveRpcError(state)

E grpc._channel._InactiveRpcError: <_InactiveRpcError of RPC that terminated with: E status = StatusCode.NOT_FOUND E details = "Requested project not found or user does not have access to it (project=None). Make sure to specify the unique project identifier and not the Google Cloud Console display name." E debug_error_string = "UNKNOWN:Error received from peer ipv4:74.125.195.95:443 {created_time:"2022-11-29T04:55:06.407778752+00:00", grpc_status:5, grpc_message:"Requested project not found or user does not have access to it (project=None). Make sure to specify the unique project identifier and not the Google Cloud Console display name."}" E >

.nox/system-3-8/lib/python3.8/site-packages/grpc/_channel.py:849: _InactiveRpcError

The above exception was the direct cause of the following exception:

storage_client = <google.cloud.storage.client.Client object at 0x7f8fd6442be0> publisher_client = <google.cloud.pubsub_v1.PublisherClient object at 0x7f8fd6686cd0> topic_path = 'projects/None/topics/notification-1669697704190', no_mtls = None

@pytest.fixture(scope="session")
def notification_topic(storage_client, publisher_client, topic_path, no_mtls):
  _helpers.retry_429(publisher_client.create_topic)(topic_path)

tests/system/test_notification.py:62:


.nox/system-3-8/lib/python3.8/site-packages/test_utils/retry.py:100: in wrapped_function return to_wrap(*args, **kwargs) .nox/system-3-8/lib/python3.8/site-packages/google/cloud/pubsub_v1/_gapic.py:40: in fx = lambda self, *a, **kw: wrapped_fx(self.api, *a, **kw) # noqa .nox/system-3-8/lib/python3.8/site-packages/google/cloud/pubsub_v1/gapic/publisher_client.py:347: in create_topic return self._inner_api_calls["create_topic"]( .nox/system-3-8/lib/python3.8/site-packages/google/api_core/gapic_v1/method.py:154: in call return wrapped_func(*args, **kwargs) .nox/system-3-8/lib/python3.8/site-packages/google/api_core/retry.py:283: in retry_wrapped_func return retry_target( .nox/system-3-8/lib/python3.8/site-packages/google/api_core/retry.py:190: in retry_target return target() .nox/system-3-8/lib/python3.8/site-packages/google/api_core/timeout.py:210: in func_with_timeout return func(*args, **kwargs)


args = (name: "projects/None/topics/notification-1669697704190" ,) kwargs = {'metadata': [('x-goog-request-params', 'name=projects/None/topics/notification-1669697704190'), ('x-goog-api-client', 'gl-python/3.8.13 grpc/1.51.0rc1 gax/2.10.2 gapic/1.7.2')], 'timeout': 60.0}

@functools.wraps(callable_)
def error_remapped_callable(*args, **kwargs):
    try:
        return callable_(*args, **kwargs)
    except grpc.RpcError as exc:
      raise exceptions.from_grpc_error(exc) from exc

E google.api_core.exceptions.NotFound: 404 Requested project not found or user does not have access to it (project=None). Make sure to specify the unique project identifier and not the Google Cloud Console display name.

.nox/system-3-8/lib/python3.8/site-packages/google/api_core/grpc_helpers.py:74: NotFound

Created at 2 days ago
tests.system.test_notification: test_notification_create_w_user_project failed

closed with #940

Created at 2 days ago
tests.system.test_fileio: test_blobwriter_and_blobreader_text_mode failed

closed with #940

Created at 2 days ago
tests.system.test_fileio: test_blobwriter_and_blobreader_text_mode failed

This test failed!

To configure my behavior, see the Flaky Bot documentation.

If I'm commenting on this issue too often, add the flakybot: quiet label and I will stop commenting.


commit: 4862a9c34fcd9524f31312227a2ccf5e376f39fa buildURL: Build Status, Sponge status: failed

@pytest.fixture(scope="session")
def shared_bucket(storage_client, shared_bucket_name):
    bucket = storage_client.bucket(shared_bucket_name)
    bucket.versioning_enabled = True
  _helpers.retry_429_503(bucket.create)()

tests/system/conftest.py:88:


.nox/system-3-8/lib/python3.8/site-packages/test_utils/retry.py:100: in wrapped_function return to_wrap(*args, **kwargs) google/cloud/storage/bucket.py:981: in create client.create_bucket( google/cloud/storage/client.py:952: in create_bucket api_response = self._post_resource( google/cloud/storage/client.py:617: in _post_resource return self._connection.api_request( google/cloud/storage/_http.py:72: in api_request return call() .nox/system-3-8/lib/python3.8/site-packages/google/api_core/retry.py:283: in retry_wrapped_func return retry_target( .nox/system-3-8/lib/python3.8/site-packages/google/api_core/retry.py:190: in retry_target return target() .nox/system-3-8/lib/python3.8/site-packages/google/cloud/_http/init.py:482: in api_request response = self._make_request( .nox/system-3-8/lib/python3.8/site-packages/google/cloud/_http/init.py:341: in _make_request return self._do_request( .nox/system-3-8/lib/python3.8/site-packages/google/cloud/_http/init.py:379: in _do_request return self.http.request( .nox/system-3-8/lib/python3.8/site-packages/google/auth/transport/requests.py:585: in request self.credentials.refresh(auth_request)


self = <google.auth.credentials.AnonymousCredentials object at 0x7f8fd6442f70> request = functools.partial(<google.auth.transport.requests.Request object at 0x7f8fd63f3850>, timeout=60)

def refresh(self, request):
    """Raises :class:`ValueError``, anonymous credentials cannot be
    refreshed."""
  raise ValueError("Anonymous credentials cannot be refreshed.")

E ValueError: Anonymous credentials cannot be refreshed.

.nox/system-3-8/lib/python3.8/site-packages/google/auth/credentials.py:195: ValueError

Created at 2 days ago
tests.system.test_fileio: test_blobwriter_and_blobreader failed

This test failed!

To configure my behavior, see the Flaky Bot documentation.

If I'm commenting on this issue too often, add the flakybot: quiet label and I will stop commenting.


commit: 4862a9c34fcd9524f31312227a2ccf5e376f39fa buildURL: Build Status, Sponge status: failed

@pytest.fixture(scope="session")
def shared_bucket(storage_client, shared_bucket_name):
    bucket = storage_client.bucket(shared_bucket_name)
    bucket.versioning_enabled = True
  _helpers.retry_429_503(bucket.create)()

tests/system/conftest.py:88:


.nox/system-3-8/lib/python3.8/site-packages/test_utils/retry.py:100: in wrapped_function return to_wrap(*args, **kwargs) google/cloud/storage/bucket.py:981: in create client.create_bucket( google/cloud/storage/client.py:952: in create_bucket api_response = self._post_resource( google/cloud/storage/client.py:617: in _post_resource return self._connection.api_request( google/cloud/storage/_http.py:72: in api_request return call() .nox/system-3-8/lib/python3.8/site-packages/google/api_core/retry.py:283: in retry_wrapped_func return retry_target( .nox/system-3-8/lib/python3.8/site-packages/google/api_core/retry.py:190: in retry_target return target() .nox/system-3-8/lib/python3.8/site-packages/google/cloud/_http/init.py:482: in api_request response = self._make_request( .nox/system-3-8/lib/python3.8/site-packages/google/cloud/_http/init.py:341: in _make_request return self._do_request( .nox/system-3-8/lib/python3.8/site-packages/google/cloud/_http/init.py:379: in _do_request return self.http.request( .nox/system-3-8/lib/python3.8/site-packages/google/auth/transport/requests.py:585: in request self.credentials.refresh(auth_request)


self = <google.auth.credentials.AnonymousCredentials object at 0x7f8fd6442f70> request = functools.partial(<google.auth.transport.requests.Request object at 0x7f8fd63f3850>, timeout=60)

def refresh(self, request):
    """Raises :class:`ValueError``, anonymous credentials cannot be
    refreshed."""
  raise ValueError("Anonymous credentials cannot be refreshed.")

E ValueError: Anonymous credentials cannot be refreshed.

.nox/system-3-8/lib/python3.8/site-packages/google/auth/credentials.py:195: ValueError

Created at 2 days ago
tests.system.test_fileio: test_blobwriter_and_blobreader failed

closed with #940

Created at 2 days ago
tests.system.test_client: test_download_blob_to_file_w_etag failed

This test failed!

To configure my behavior, see the Flaky Bot documentation.

If I'm commenting on this issue too often, add the flakybot: quiet label and I will stop commenting.


commit: 4862a9c34fcd9524f31312227a2ccf5e376f39fa buildURL: Build Status, Sponge status: failed

@pytest.fixture(scope="session")
def shared_bucket(storage_client, shared_bucket_name):
    bucket = storage_client.bucket(shared_bucket_name)
    bucket.versioning_enabled = True
  _helpers.retry_429_503(bucket.create)()

tests/system/conftest.py:88:


.nox/system-3-8/lib/python3.8/site-packages/test_utils/retry.py:100: in wrapped_function return to_wrap(*args, **kwargs) google/cloud/storage/bucket.py:981: in create client.create_bucket( google/cloud/storage/client.py:952: in create_bucket api_response = self._post_resource( google/cloud/storage/client.py:617: in _post_resource return self._connection.api_request( google/cloud/storage/_http.py:72: in api_request return call() .nox/system-3-8/lib/python3.8/site-packages/google/api_core/retry.py:283: in retry_wrapped_func return retry_target( .nox/system-3-8/lib/python3.8/site-packages/google/api_core/retry.py:190: in retry_target return target() .nox/system-3-8/lib/python3.8/site-packages/google/cloud/_http/init.py:482: in api_request response = self._make_request( .nox/system-3-8/lib/python3.8/site-packages/google/cloud/_http/init.py:341: in _make_request return self._do_request( .nox/system-3-8/lib/python3.8/site-packages/google/cloud/_http/init.py:379: in _do_request return self.http.request( .nox/system-3-8/lib/python3.8/site-packages/google/auth/transport/requests.py:585: in request self.credentials.refresh(auth_request)


self = <google.auth.credentials.AnonymousCredentials object at 0x7f8fd6442f70> request = functools.partial(<google.auth.transport.requests.Request object at 0x7f8fd63f3850>, timeout=60)

def refresh(self, request):
    """Raises :class:`ValueError``, anonymous credentials cannot be
    refreshed."""
  raise ValueError("Anonymous credentials cannot be refreshed.")

E ValueError: Anonymous credentials cannot be refreshed.

.nox/system-3-8/lib/python3.8/site-packages/google/auth/credentials.py:195: ValueError

Created at 2 days ago
tests.system.test_client: test_download_blob_to_file_w_etag failed

closed with #940

Created at 2 days ago
tests.system.test_client: test_download_blob_to_file_w_uri failed

This test failed!

To configure my behavior, see the Flaky Bot documentation.

If I'm commenting on this issue too often, add the flakybot: quiet label and I will stop commenting.


commit: 4862a9c34fcd9524f31312227a2ccf5e376f39fa buildURL: Build Status, Sponge status: failed

@pytest.fixture(scope="session")
def shared_bucket(storage_client, shared_bucket_name):
    bucket = storage_client.bucket(shared_bucket_name)
    bucket.versioning_enabled = True
  _helpers.retry_429_503(bucket.create)()

tests/system/conftest.py:88:


.nox/system-3-8/lib/python3.8/site-packages/test_utils/retry.py:100: in wrapped_function return to_wrap(*args, **kwargs) google/cloud/storage/bucket.py:981: in create client.create_bucket( google/cloud/storage/client.py:952: in create_bucket api_response = self._post_resource( google/cloud/storage/client.py:617: in _post_resource return self._connection.api_request( google/cloud/storage/_http.py:72: in api_request return call() .nox/system-3-8/lib/python3.8/site-packages/google/api_core/retry.py:283: in retry_wrapped_func return retry_target( .nox/system-3-8/lib/python3.8/site-packages/google/api_core/retry.py:190: in retry_target return target() .nox/system-3-8/lib/python3.8/site-packages/google/cloud/_http/init.py:482: in api_request response = self._make_request( .nox/system-3-8/lib/python3.8/site-packages/google/cloud/_http/init.py:341: in _make_request return self._do_request( .nox/system-3-8/lib/python3.8/site-packages/google/cloud/_http/init.py:379: in _do_request return self.http.request( .nox/system-3-8/lib/python3.8/site-packages/google/auth/transport/requests.py:585: in request self.credentials.refresh(auth_request)


self = <google.auth.credentials.AnonymousCredentials object at 0x7f8fd6442f70> request = functools.partial(<google.auth.transport.requests.Request object at 0x7f8fd63f3850>, timeout=60)

def refresh(self, request):
    """Raises :class:`ValueError``, anonymous credentials cannot be
    refreshed."""
  raise ValueError("Anonymous credentials cannot be refreshed.")

E ValueError: Anonymous credentials cannot be refreshed.

.nox/system-3-8/lib/python3.8/site-packages/google/auth/credentials.py:195: ValueError

Created at 2 days ago
tests.system.test_client: test_download_blob_to_file_w_uri failed

closed with #940

Created at 2 days ago
tests.system.test_notification: test_bucket_get_notification failed

This test failed!

To configure my behavior, see the Flaky Bot documentation.

If I'm commenting on this issue too often, add the flakybot: quiet label and I will stop commenting.


commit: 4862a9c34fcd9524f31312227a2ccf5e376f39fa buildURL: Build Status, Sponge status: failed

@functools.wraps(callable_)
def error_remapped_callable(*args, **kwargs):
    try:
      return callable_(*args, **kwargs)

.nox/system-3-8/lib/python3.8/site-packages/google/api_core/grpc_helpers.py:72:


self = <grpc._channel._UnaryUnaryMultiCallable object at 0x7f8fd5ea2820> request = name: "projects/None/topics/notification-1669697707696"

timeout = 60.0 metadata = [('x-goog-request-params', 'name=projects/None/topics/notification-1669697707696'), ('x-goog-api-client', 'gl-python/3.8.13 grpc/1.51.0rc1 gax/2.10.2 gapic/1.7.2')] credentials = None, wait_for_ready = None, compression = None

def __call__(self,
             request,
             timeout=None,
             metadata=None,
             credentials=None,
             wait_for_ready=None,
             compression=None):
    state, call, = self._blocking(request, timeout, metadata, credentials,
                                  wait_for_ready, compression)
  return _end_unary_response_blocking(state, call, False, None)

.nox/system-3-8/lib/python3.8/site-packages/grpc/_channel.py:946:


state = <grpc._channel._RPCState object at 0x7f8fd5b80730> call = <grpc._cython.cygrpc.SegregatedCall object at 0x7f8fd5bbc1c0> with_call = False, deadline = None

def _end_unary_response_blocking(state, call, with_call, deadline):
    if state.code is grpc.StatusCode.OK:
        if with_call:
            rendezvous = _MultiThreadedRendezvous(state, call, None, deadline)
            return state.response, rendezvous
        else:
            return state.response
    else:
      raise _InactiveRpcError(state)

E grpc._channel._InactiveRpcError: <_InactiveRpcError of RPC that terminated with: E status = StatusCode.NOT_FOUND E details = "Requested project not found or user does not have access to it (project=None). Make sure to specify the unique project identifier and not the Google Cloud Console display name." E debug_error_string = "UNKNOWN:Error received from peer ipv4:74.125.195.95:443 {created_time:"2022-11-29T04:55:07.809964292+00:00", grpc_status:5, grpc_message:"Requested project not found or user does not have access to it (project=None). Make sure to specify the unique project identifier and not the Google Cloud Console display name."}" E >

.nox/system-3-8/lib/python3.8/site-packages/grpc/_channel.py:849: _InactiveRpcError

The above exception was the direct cause of the following exception:

storage_client = <google.cloud.storage.client.Client object at 0x7f8fd619cd60> publisher_client = <google.cloud.pubsub_v1.PublisherClient object at 0x7f8fd6067b50> topic_path = 'projects/None/topics/notification-1669697707696', no_mtls = None

@pytest.fixture(scope="session")
def notification_topic(storage_client, publisher_client, topic_path, no_mtls):
  _helpers.retry_429(publisher_client.create_topic)(topic_path)

tests/system/test_notification.py:62:


.nox/system-3-8/lib/python3.8/site-packages/test_utils/retry.py:100: in wrapped_function return to_wrap(*args, **kwargs) .nox/system-3-8/lib/python3.8/site-packages/google/cloud/pubsub_v1/_gapic.py:40: in fx = lambda self, *a, **kw: wrapped_fx(self.api, *a, **kw) # noqa .nox/system-3-8/lib/python3.8/site-packages/google/cloud/pubsub_v1/gapic/publisher_client.py:347: in create_topic return self._inner_api_calls["create_topic"]( .nox/system-3-8/lib/python3.8/site-packages/google/api_core/gapic_v1/method.py:154: in call return wrapped_func(*args, **kwargs) .nox/system-3-8/lib/python3.8/site-packages/google/api_core/retry.py:283: in retry_wrapped_func return retry_target( .nox/system-3-8/lib/python3.8/site-packages/google/api_core/retry.py:190: in retry_target return target() .nox/system-3-8/lib/python3.8/site-packages/google/api_core/timeout.py:210: in func_with_timeout return func(*args, **kwargs)


args = (name: "projects/None/topics/notification-1669697707696" ,) kwargs = {'metadata': [('x-goog-request-params', 'name=projects/None/topics/notification-1669697707696'), ('x-goog-api-client', 'gl-python/3.8.13 grpc/1.51.0rc1 gax/2.10.2 gapic/1.7.2')], 'timeout': 60.0}

@functools.wraps(callable_)
def error_remapped_callable(*args, **kwargs):
    try:
        return callable_(*args, **kwargs)
    except grpc.RpcError as exc:
      raise exceptions.from_grpc_error(exc) from exc

E google.api_core.exceptions.NotFound: 404 Requested project not found or user does not have access to it (project=None). Make sure to specify the unique project identifier and not the Google Cloud Console display name.

.nox/system-3-8/lib/python3.8/site-packages/google/api_core/grpc_helpers.py:74: NotFound

Created at 2 days ago
tests.system.test_notification: test_bucket_get_notification failed

closed with #940

Created at 2 days ago
tests.system.test_client: test_list_buckets failed

This test failed!

To configure my behavior, see the Flaky Bot documentation.

If I'm commenting on this issue too often, add the flakybot: quiet label and I will stop commenting.


commit: 4862a9c34fcd9524f31312227a2ccf5e376f39fa buildURL: Build Status, Sponge status: failed

def test_list_buckets(storage_client, buckets_to_delete):
    buckets_to_create = [
        _helpers.unique_name("new"),
        _helpers.unique_name("newer"),
        _helpers.unique_name("newest"),
    ]
    created_buckets = []

    for bucket_name in buckets_to_create:
      bucket = _helpers.retry_429_503(storage_client.create_bucket)(bucket_name)

tests/system/test_client.py:109:


.nox/system-3-8/lib/python3.8/site-packages/test_utils/retry.py:100: in wrapped_function return to_wrap(*args, **kwargs) google/cloud/storage/client.py:952: in create_bucket api_response = self._post_resource( google/cloud/storage/client.py:617: in _post_resource return self._connection.api_request( google/cloud/storage/_http.py:72: in api_request return call() .nox/system-3-8/lib/python3.8/site-packages/google/api_core/retry.py:283: in retry_wrapped_func return retry_target( .nox/system-3-8/lib/python3.8/site-packages/google/api_core/retry.py:190: in retry_target return target() .nox/system-3-8/lib/python3.8/site-packages/google/cloud/_http/init.py:482: in api_request response = self._make_request( .nox/system-3-8/lib/python3.8/site-packages/google/cloud/_http/init.py:341: in _make_request return self._do_request( .nox/system-3-8/lib/python3.8/site-packages/google/cloud/_http/init.py:379: in _do_request return self.http.request( .nox/system-3-8/lib/python3.8/site-packages/google/auth/transport/requests.py:585: in request self.credentials.refresh(auth_request)


self = <google.auth.credentials.AnonymousCredentials object at 0x7f8fd6442f70> request = functools.partial(<google.auth.transport.requests.Request object at 0x7f8fd63f3850>, timeout=60)

def refresh(self, request):
    """Raises :class:`ValueError``, anonymous credentials cannot be
    refreshed."""
  raise ValueError("Anonymous credentials cannot be refreshed.")

E ValueError: Anonymous credentials cannot be refreshed.

.nox/system-3-8/lib/python3.8/site-packages/google/auth/credentials.py:195: ValueError

Created at 2 days ago
tests.system.test_client: test_create_bucket_dual_region failed

This test failed!

To configure my behavior, see the Flaky Bot documentation.

If I'm commenting on this issue too often, add the flakybot: quiet label and I will stop commenting.


commit: 4862a9c34fcd9524f31312227a2ccf5e376f39fa buildURL: Build Status, Sponge status: failed

def test_create_bucket_dual_region(storage_client, buckets_to_delete):
    from google.cloud.storage.constants import DUAL_REGION_LOCATION_TYPE

    new_bucket_name = _helpers.unique_name("dual-region-bucket")
    location = "US"

    data_locations = [dual_data_loc_1, dual_data_loc_2]

    with pytest.raises(exceptions.NotFound):
        storage_client.get_bucket(new_bucket_name)
  created = _helpers.retry_429_503(storage_client.create_bucket)(
        new_bucket_name, location=location, data_locations=data_locations
    )

tests/system/test_client.py:89:


.nox/system-3-8/lib/python3.8/site-packages/test_utils/retry.py:100: in wrapped_function return to_wrap(*args, **kwargs) google/cloud/storage/client.py:952: in create_bucket api_response = self._post_resource( google/cloud/storage/client.py:617: in _post_resource return self._connection.api_request( google/cloud/storage/_http.py:72: in api_request return call() .nox/system-3-8/lib/python3.8/site-packages/google/api_core/retry.py:283: in retry_wrapped_func return retry_target( .nox/system-3-8/lib/python3.8/site-packages/google/api_core/retry.py:190: in retry_target return target() .nox/system-3-8/lib/python3.8/site-packages/google/cloud/_http/init.py:482: in api_request response = self._make_request( .nox/system-3-8/lib/python3.8/site-packages/google/cloud/_http/init.py:341: in _make_request return self._do_request( .nox/system-3-8/lib/python3.8/site-packages/google/cloud/_http/init.py:379: in _do_request return self.http.request( .nox/system-3-8/lib/python3.8/site-packages/google/auth/transport/requests.py:585: in request self.credentials.refresh(auth_request)


self = <google.auth.credentials.AnonymousCredentials object at 0x7f8fd6442f70> request = functools.partial(<google.auth.transport.requests.Request object at 0x7f8fd63f3850>, timeout=60)

def refresh(self, request):
    """Raises :class:`ValueError``, anonymous credentials cannot be
    refreshed."""
  raise ValueError("Anonymous credentials cannot be refreshed.")

E ValueError: Anonymous credentials cannot be refreshed.

.nox/system-3-8/lib/python3.8/site-packages/google/auth/credentials.py:195: ValueError

Created at 2 days ago
tests.system.test_client: test_create_bucket_simple failed

This test failed!

To configure my behavior, see the Flaky Bot documentation.

If I'm commenting on this issue too often, add the flakybot: quiet label and I will stop commenting.


commit: 4862a9c34fcd9524f31312227a2ccf5e376f39fa buildURL: Build Status, Sponge status: failed

def test_create_bucket_simple(storage_client, buckets_to_delete):
    new_bucket_name = _helpers.unique_name("a-new-bucket")

    with pytest.raises(exceptions.NotFound):
        storage_client.get_bucket(new_bucket_name)
  created = _helpers.retry_429_503(storage_client.create_bucket)(new_bucket_name)

tests/system/test_client.py:72:


.nox/system-3-8/lib/python3.8/site-packages/test_utils/retry.py:100: in wrapped_function return to_wrap(*args, **kwargs) google/cloud/storage/client.py:952: in create_bucket api_response = self._post_resource( google/cloud/storage/client.py:617: in _post_resource return self._connection.api_request( google/cloud/storage/_http.py:72: in api_request return call() .nox/system-3-8/lib/python3.8/site-packages/google/api_core/retry.py:283: in retry_wrapped_func return retry_target( .nox/system-3-8/lib/python3.8/site-packages/google/api_core/retry.py:190: in retry_target return target() .nox/system-3-8/lib/python3.8/site-packages/google/cloud/_http/init.py:482: in api_request response = self._make_request( .nox/system-3-8/lib/python3.8/site-packages/google/cloud/_http/init.py:341: in _make_request return self._do_request( .nox/system-3-8/lib/python3.8/site-packages/google/cloud/_http/init.py:379: in _do_request return self.http.request( .nox/system-3-8/lib/python3.8/site-packages/google/auth/transport/requests.py:585: in request self.credentials.refresh(auth_request)


self = <google.auth.credentials.AnonymousCredentials object at 0x7f8fd6442f70> request = functools.partial(<google.auth.transport.requests.Request object at 0x7f8fd63f3850>, timeout=60)

def refresh(self, request):
    """Raises :class:`ValueError``, anonymous credentials cannot be
    refreshed."""
  raise ValueError("Anonymous credentials cannot be refreshed.")

E ValueError: Anonymous credentials cannot be refreshed.

.nox/system-3-8/lib/python3.8/site-packages/google/auth/credentials.py:195: ValueError

Created at 2 days ago
tests.system.test_bucket: many tests failed

Many tests failed at the same time in this package.

  • I will close this issue when there are no more failures in this package and there is at least one pass.
  • No new issues will be filed for this package until this issue is closed.
  • If there are already issues for individual test cases, I will close them when the corresponding test passes. You can close them earlier, if you prefer, and I won't reopen them while this issue is still open.

Here are the tests that failed:

  • test_bucket_create_w_alt_storage_class
  • test_bucket_lifecycle_rules
  • test_bucket_acls_w_metageneration_match
  • test_bucket_copy_blob_w_generation_match
  • test_bucket_copy_blob_w_metageneration_match
  • test_bucket_list_blobs
  • test_bucket_list_blobs_w_user_project
  • test_bucket_list_blobs_paginated
  • test_bucket_list_blobs_paginated_w_offset
  • test_blob_exists_hierarchy
  • test_bucket_list_blobs_hierarchy_root_level
  • test_bucket_list_blobs_hierarchy_first_level
  • test_bucket_list_blobs_hierarchy_second_level
  • test_bucket_list_blobs_hierarchy_third_level
  • test_bucket_list_blobs_hierarchy_w_include_trailing_delimiter
  • test_bucket_w_retention_period (#910)
  • test_bucket_w_default_event_based_hold
  • test_blob_w_temporary_hold
  • test_bucket_lock_retention_policy
  • test_ubla_set_unset_preserves_acls
  • test_new_bucket_created_w_inherited_pap
  • test_new_bucket_with_autoclass

commit: 4862a9c34fcd9524f31312227a2ccf5e376f39fa buildURL: Build Status, Sponge status: failed

Created at 2 days ago
tests.system.test_blob: many tests failed

Many tests failed at the same time in this package.

  • I will close this issue when there are no more failures in this package and there is at least one pass.
  • No new issues will be filed for this package until this issue is closed.
  • If there are already issues for individual test cases, I will close them when the corresponding test passes. You can close them earlier, if you prefer, and I won't reopen them while this issue is still open.

Here are the tests that failed:

  • test_large_file_write_from_stream
  • test_large_file_write_from_stream_w_checksum
  • test_large_file_write_from_stream_w_failed_checksum
  • test_small_file_write_from_filename
  • test_small_file_write_from_filename_with_checksum
  • test_small_file_write_from_filename_with_failed_checksum
  • test_blob_crud_w_user_project
  • test_blob_crud_w_etag_match
  • test_blob_crud_w_generation_match
  • test_blob_acl_w_user_project
  • test_blob_acl_w_metageneration_match
  • test_blob_acl_upload_predefined
  • test_blob_patch_metadata
  • test_blob_direct_write_and_read_into_file
  • test_blob_download_w_generation_match
  • test_blob_download_w_failed_crc32c_checksum
  • test_blob_download_as_text
  • test_blob_upload_w_gzip_encoded_download_raw
  • test_blob_upload_from_file_resumable_with_generation
  • test_blob_upload_from_string_w_owner
  • test_blob_upload_from_string_w_custom_time
  • test_blob_upload_from_string_w_custom_time_no_micros
  • test_blob_upload_download_crc32_md5_hash
  • test_blob_w_unicode_names[Caf\xe9-Normalization Form C]
  • test_blob_w_unicode_names[Cafe\u0301-Normalization Form D]
  • test_blob_compose_new_blob
  • test_blob_compose_new_blob_wo_content_type
  • test_blob_compose_replace_existing_blob
  • test_blob_compose_w_generation_match_list
  • test_blob_compose_w_generation_match_long
  • test_blob_compose_w_source_generation_match
  • test_blob_rewrite_new_blob_add_key
  • test_blob_rewrite_rotate_key
  • test_blob_rewrite_w_generation_match
  • test_blob_update_storage_class_small_file
  • test_blob_update_storage_class_large_file

commit: 4862a9c34fcd9524f31312227a2ccf5e376f39fa buildURL: Build Status, Sponge status: failed

Created at 2 days ago
tests.system.test__signing: many tests failed

Many tests failed at the same time in this package.

  • I will close this issue when there are no more failures in this package and there is at least one pass.
  • No new issues will be filed for this package until this issue is closed.
  • If there are already issues for individual test cases, I will close them when the corresponding test passes. You can close them earlier, if you prefer, and I won't reopen them while this issue is still open.

Here are the tests that failed:

  • test_create_signed_list_blobs_url_v2
  • test_create_signed_list_blobs_url_v2_w_expiration
  • test_create_signed_list_blobs_url_v4
  • test_create_signed_list_blobs_url_v4_w_expiration
  • test_create_signed_read_url_v2
  • test_create_signed_read_url_v4
  • test_create_signed_read_url_v2_w_expiration
  • test_create_signed_read_url_v4_w_expiration
  • test_create_signed_read_url_v2_lowercase_method
  • test_create_signed_read_url_v4_lowercase_method
  • test_create_signed_read_url_v2_w_non_ascii_name
  • test_create_signed_read_url_v4_w_non_ascii_name
  • test_create_signed_read_url_v2_w_csek
  • test_create_signed_read_url_v4_w_csek
  • test_create_signed_read_url_v2_w_access_token
  • test_create_signed_read_url_v4_w_access_token
  • test_create_signed_delete_url_v2
  • test_create_signed_delete_url_v4
  • test_create_signed_resumable_upload_url_v2
  • test_create_signed_resumable_upload_url_v4

commit: 4862a9c34fcd9524f31312227a2ccf5e376f39fa buildURL: Build Status, Sponge status: failed

Created at 2 days ago
cojenco delete branch revert-901-custom-endpoint
Created at 2 days ago

Revert "feat: add support for use_auth_w_custom_endpoint (#901)" (#940)

This reverts commit 4862a9c34fcd9524f31312227a2ccf5e376f39fa.

Created at 2 days ago
pull request closed
chore(revert): revert add support for use_auth_w_custom_endpoint

Reverts googleapis/python-storage#901

Reworking on auth config for custom endpoints and overrides - further investigation required in presubmit, continuous and preprod testing

closes #920- #938 closes #920, closes #921, closes #922, closes #923, closes #924, closes #925

Created at 2 days ago
pull request opened
chore(revert): revert add support for use_auth_w_custom_endpoint

Reverts googleapis/python-storage#901

Reworking on auth config for custom endpoints and overrides - further investigation required in presubmit, continuous and preprod testing

Created at 2 days ago
cojenco create branch revert-901-custom-endpoint
Created at 2 days ago
tests.system.test_bucket: many tests failed

The 14 failed tests are due to #901. I'm still debugging and will revert the PR if further investigation is needed.

Created at 3 days ago

add preconditons to rewrite category samples

Created at 3 days ago